## clearsilver 0.9.8

=== Makefile ===
#
# Neotonic Source Kit
#
# Copyright (C) 2001 Neotonic and Brandon Long
#
#

NEOTONIC_ROOT = ./

include rules.mk

SUBDIRS = util cs cgi $(BUILD_WRAPPERS)

OUTDIRS = bin libs

# These are blank here... but populated under automated build
VERSION =
RELEASE =

all: cs $(BUILD_WRAPPERS)

rules.mk: configure
	./configure

configure: configure.in
	./autogen.sh

cs: output_dir
	@for mdir in $(SUBDIRS); do \
	  if test -d $$mdir; then \
	    if test -f $$mdir/Makefile.PL -a ! -f $$mdir/Makefile; then \
	      cd $$mdir; $(PERL) Makefile.PL; cd ..; \
	    fi; \
	    $(MAKE) -C $$mdir PREFIX=$(prefix); \
	  fi; \
	done

install: all man
	./mkinstalldirs $(DESTDIR)$(cs_includedir)
	./mkinstalldirs $(DESTDIR)$(bindir)
	./mkinstalldirs $(DESTDIR)$(libdir)
	./mkinstalldirs $(DESTDIR)$(mandir)/man3
	$(INSTALL) -m 644 ClearSilver.h $(DESTDIR)$(cs_includedir)/
	$(INSTALL) -m 644 cs_config.h $(DESTDIR)$(cs_includedir)/
	$(INSTALL) -m 644 man/man3/*.3 $(DESTDIR)$(mandir)/man3/
	@for mdir in $(SUBDIRS); do \
	  if test -d $$mdir; then \
	    if test -f $$mdir/Makefile.PL -a ! -f $$mdir/Makefile; then \
	      cd $$mdir; $(PERL) Makefile.PL; cd ..; \
	    fi; \
	    $(MAKE) -C $$mdir PREFIX=$(prefix) install; \
	  fi; \
	done

depend:
	@for mdir in $(SUBDIRS); do \
	  if test ! -f $$mdir/Makefile.PL; then \
	    $(MAKE) -C $$mdir depend; \
	  fi; \
	done

newdepend: killdepend
	@echo "*******************************************"
	@echo "** Building dependencies..."
	@for mdir in $(SUBDIRS); \
		do $(MAKE) -C $$mdir depend; \
	done

killdepend:
	@echo "*******************************************"
	@echo "** Removing Old dependencies..."
	@find . -name "Makefile.depends" -print | $(XARGS) rm %

.PHONY: man
man:
	@mkdir -p man/man3
	@for mdir in $(SUBDIRS); do \
		scripts/document.py --owner "ClearSilver" --outdir man/man3/ $$mdir/*.h; \
	done

.PHONY: hdf
hdf:
	@mkdir -p docs/hdf
	@for mdir in $(SUBDIRS); do \
		scripts/document.py --hdf --owner "ClearSilver" --outdir docs/hdf/ $$mdir/*.h; \
	done

changelog:
	rcs2log -v | cat - ChangeLog | sed -e "s/\/b2\/src\/cvsroot\/neotonic\///g" > ChangeLog.$$$$ && mv ChangeLog.$$$$ ChangeLog

clean:
	@for mdir in $(SUBDIRS); do \
	  $(MAKE) -C $$mdir clean; \
	done

distclean:
	@for mdir in $(SUBDIRS); do \
	  $(MAKE) -C $$mdir distclean; \
	done
	@for mdir in $(OUTDIRS); do \
		rm -rf $$mdir/*; \
	done
	rm -f config.cache config.log config.status rules.mk cs_config.h

output_dir:
	@for mdir in $(OUTDIRS); do \
		mkdir -p $$mdir; \
	done

CS_DISTDIR = clearsilver-0.9.7
CS_LABEL = CLEARSILVER-0_9_7
CS_FILES = README README.python INSTALL LICENSE CS_LICENSE rules.mk.in Makefile util cs cgi python scripts mod_ecs imd java-jni perl ruby dso csharp acconfig.h autogen.sh config.guess config.sub configure.in cs_config.h.in mkinstalldirs install-sh ClearSilver.h ports contrib
cs_dist:
	rm -rf $(CS_DISTDIR)
	cvs -q tag -F $(CS_LABEL) $(CS_FILES)
	mkdir -p $(CS_DISTDIR)
	cvs -z3 -q export -r $(CS_LABEL) -d $(CS_DISTDIR) neotonic
	-rm -rf $(CS_DISTDIR)/CVS
	$(MAKE) -C $(CS_DISTDIR) man distclean
	tar chozf $(CS_DISTDIR).tar.gz $(CS_DISTDIR)

trakken: cs
	$(MAKE) -C retrieve
	$(MAKE) VERSION=$(VERSION) RELEASE=$(RELEASE) -C trakken

=== cs/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

CS_LIB = $(LIB_DIR)libneo_cs.a
CS_SRC = csparse.c
CS_OBJ = $(CS_SRC:%.c=%.o)

CSTEST_EXE = cstest
CSTEST_SRC = cstest.c
CSTEST_OBJ = $(CSTEST_SRC:%.c=%.o)

CSR_EXE = cs
CSR_SRC = cs.c
CSR_OBJ = $(CSR_SRC:%.c=%.o)

CSDUMP_EXE = csdump
CSDUMP_SRC = csdump.c
CSDUMP_OBJ = $(CSDUMP_SRC:%.c=%.o)

CFLAGS += -I$(NEOTONIC_ROOT)
LIBS += -L$(LIB_DIR) -lneo_cs -lneo_utl # -lefence

TARGETS = $(CS_LIB) $(CSTEST_EXE) $(CSR_EXE) test

CS_TESTS = test.cs test2.cs test3.cs test4.cs test5.cs test6.cs test7.cs \
           test8.cs test9.cs test10.cs test11.cs test12.cs test13.cs \
	   test14.cs test15.cs test16.cs test17.cs test18.cs test_var.cs \
	   test_paren.cs test_chuck.cs test_trak1.cs test_iter.cs \
	   test_each_array.cs test_name.cs test_with.cs test_numbers.cs \
	   test_splice.cs

all: $(TARGETS)

$(CS_LIB): $(CS_OBJ)
	$(AR) $@ $(CS_OBJ)
	$(RANLIB) $@

$(CSTEST_EXE): $(CSTEST_OBJ) $(CS_LIB)
	$(LD) $@ $(CSTEST_OBJ) $(LIBS) # -lefence

$(CSR_EXE): $(CSR_OBJ) $(CS_LIB)
	$(LD) $@ $(CSR_OBJ) $(LIBS) # -lefence

$(CSDUMP_EXE): $(CSDUMP_OBJ) $(CS_LIB)
	$(LD) $@ $(CSDUMP_OBJ) $(LIBS)

## BE VERY CAREFUL WHEN REGENERATING THESE
gold: $(CSTEST_EXE)
	@for test in $(CS_TESTS); do \
		rm -f $$test.gold; \
		./cstest test.hdf $$test > $$test.gold; \
	done; \
	./cstest test_tag.hdf test_tag.cs > test_tag.cs.gold
	@echo "Generated Gold Files"

test: $(CSTEST_EXE) $(CS_TESTS) 
	@echo "Running cs regression tests"
	@failed=0; \
	for test in $(CS_TESTS); do \
		rm -f $$test.out; \
		./cstest test.hdf $$test > $$test.out 2>&1; \
		diff --brief $$test.out $$test.gold 2>&1 > /dev/null; \
		return_code=$$?; \
		if [ $$return_code -ne 0 ]; then \
		  diff $$test.gold $$test.out > $$test.err; \
		  echo "Failed Regression Test: $$test"; \
		  echo "  See $$test.out and $$test.err"; \
		  failed=1; \
		fi; \
	done; \
	rm -f test_tag.cs.out; \
	./cstest test_tag.hdf test_tag.cs> test_tag.cs.out 2>&1; \
	diff --brief test_tag.cs.out test_tag.cs.gold; \
	return_code=$$?; \
	if [ $$return_code -ne 0 ]; then \
	  echo "Failed Regression Test: test_tag.cs"; \
	  failed=1; \
	fi; \
	if [ $$failed -eq 1 ]; then \
	  exit 1; \
	fi;
	@touch test
	@echo "Passed"
	
install: all
	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(cs_includedir)/cs
	$(INSTALL) -m 644 cs.h $(DESTDIR)$(cs_includedir)/cs
	$(INSTALL) -m 644 $(CS_LIB) $(DESTDIR)$(libdir)
	$(INSTALL) $(CSTEST_EXE) $(DESTDIR)$(bindir)

clean:
	$(RM) core *.o

distclean:
	$(RM) Makefile.depends $(TARGETS) core *.o *.out

=== util/test/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../../
endif

include $(NEOTONIC_ROOT)rules.mk

HDFTEST_EXE = hdftest
HDFTEST_SRC = hdftest.c
HDFTEST_OBJ = $(HDFTEST_SRC:%.c=%.o)

HDFSORTTEST_EXE = hdf_sort_test
HDFSORTTEST_SRC = hdf_sort_test.c
HDFSORTTEST_OBJ = $(HDFSORTTEST_SRC:%.c=%.o)

HDFLOADTEST_EXE = hdfloadtest
HDFLOADTEST_SRC = hdfloadtest.c
HDFLOADTEST_OBJ = $(HDFLOADTEST_SRC:%.c=%.o)

LISTDIRTEST_EXE = listdir_test
LISTDIRTEST_SRC = listdir_test.c
LISTDIRTEST_OBJ = $(LISTDIRTEST_SRC:%.c=%.o)

HDFCOPYTEST_EXE = hdf_copy_test
HDFCOPYTEST_SRC = hdf_copy_test.c
HDFCOPYTEST_OBJ = $(HDFCOPYTEST_SRC:%.c=%.o)

NETTEST_EXE = net_test
NETTEST_SRC = net_test.c
NETTEST_OBJ = $(NETTEST_SRC:%.c=%.o)

DATETEST_EXE = date_test
DATETEST_SRC = date_test.c
DATETEST_OBJ = $(DATETEST_SRC:%.c=%.o)

HASHTEST_EXE = hash_test
HASHTEST_SRC = hash_test.c
HASHTEST_OBJ = $(HASHTEST_SRC:%.c=%.o)

CFLAGS += -I$(NEOTONIC_ROOT)/util
LIBS += -L$(LIB_DIR) -lneo_utl 

TARGETS = $(HDFTEST_EXE) $(LISTDIRTEST_EXE) $(HDFCOPYTEST_EXE) \
	$(HDFSORTTEST_EXE) \
	$(HDFLOADTEST_EXE) $(NETTEST_EXE) $(DATETEST_EXE) \
	$(HASHTEST_EXE)

all: $(TARGETS)

$(HDFTEST_EXE): $(HDFTEST_OBJ) $(NTR_LIB)
	$(LD) $@ $(HDFTEST_OBJ) $(LIBS)

$(HDFSORTTEST_EXE): $(HDFSORTTEST_OBJ) $(NTR_LIB)
	$(LD) $@ $(HDFSORTTEST_OBJ) $(LIBS)

$(HDFLOADTEST_EXE): $(HDFLOADTEST_OBJ) $(NTR_LIB)
	$(LD) $@ $(HDFLOADTEST_OBJ) $(LIBS) # -lefence

$(LISTDIRTEST_EXE): $(LISTDIRTEST_OBJ) $(NTR_LIB)
	$(LD) $@ $(LISTDIRTEST_OBJ) $(LIBS)

$(HDFCOPYTEST_EXE): $(HDFCOPYTEST_OBJ) $(NTR_LIB)
	$(LD) $@ $(HDFCOPYTEST_OBJ) $(LIBS) # -lefence

$(NETTEST_EXE): $(NETTEST_OBJ) $(NTR_LIB)
	$(LD) $@ $(NETTEST_OBJ) $(LIBS)

$(DATETEST_EXE): $(DATETEST_OBJ) $(NTR_LIB)
	$(LD) $@ $(DATETEST_OBJ) $(LIBS)

$(HASHTEST_EXE): $(HASHTEST_OBJ) $(NTR_LIB)
	$(LD) $@ $(HASHTEST_OBJ) $(LIBS) # -lefence

clean:
	$(RM) *.o

distclean:
	$(RM) $(TARGETS) *.o

## clearsilver 0.9.13

=== Makefile ===
--- 
+++ 
@@ -107,10 +107,15 @@
 		mkdir -p $$mdir; \
 	done
 
-CS_DISTDIR = clearsilver-0.9.7
-CS_LABEL = CLEARSILVER-0_9_7
+CS_DISTDIR = clearsilver-0.9.12
+CS_LABEL = CLEARSILVER-0_9_12
 CS_FILES = README README.python INSTALL LICENSE CS_LICENSE rules.mk.in Makefile util cs cgi python scripts mod_ecs imd java-jni perl ruby dso csharp acconfig.h autogen.sh config.guess config.sub configure.in cs_config.h.in mkinstalldirs install-sh ClearSilver.h ports contrib
 cs_dist:
+	@if cvs log Makefile | grep "${CS_LABEL}"; then \
+	  echo "release ${CS_LABEL} already exists"; \
+	  echo "   to rebuild, type:  cvs tag -d -F ${CS_LABEL} Makefile "; \
+	  exit 1; \
+	fi; 
 	rm -rf $(CS_DISTDIR)
 	cvs -q tag -F $(CS_LABEL) $(CS_FILES)
 	mkdir -p $(CS_DISTDIR)

=== cgi/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

CGI_LIB = $(LIB_DIR)libneo_cgi.a
CGI_SRC = cgiwrap.c cgi.c html.c date.c rfc2388.c
CGI_OBJ = $(CGI_SRC:%.c=%.o)

STATIC_EXE = static.cgi
STATIC_SRC = static.c
STATIC_OBJ = $(STATIC_SRC:%.c=%.o)
STATIC_CSO = $(STATIC_EXE:%.cgi=%.cso)

DLIBS += -lneo_cgi -lneo_cs -lneo_utl # -lefence
LIBS += -L$(LIB_DIR) $(DLIBS)

TARGETS = $(CGI_LIB) $(STATIC_EXE) $(STATIC_CSO)

all: $(TARGETS)

$(CGI_LIB): $(CGI_OBJ)
	$(AR) $@ $(CGI_OBJ)
	$(RANLIB) $@

$(STATIC_EXE): $(STATIC_OBJ) $(DEP_LIBS)
	$(LD) $@ $(STATIC_OBJ) $(LIBS)

$(STATIC_CSO): $(STATIC_OBJ) $(DEP_LIBS)
	$(LDSHARED) -o $@ $(STATIC_OBJ) $(LIBS)

install: all
	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 cgi.h $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 cgiwrap.h $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 date.h $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 html.h $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 $(CGI_LIB) $(DESTDIR)$(libdir)
	$(INSTALL) $(STATIC_EXE) $(DESTDIR)$(bindir)

clean:
	$(RM) *.o

distclean:
	$(RM) Makefile.depends $(TARGETS) *.o

=== csharp/Makefile ===

# default values....

CSHARP_CC=$(CSHARP_PATH)/bin/mcs
MONO_JIT=$(CSHARP_PATH)/bin/mono

# common build environment

ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

# our targets

TARGETS = clearsilver.dll cstest.exe csperftest.exe testcs

all: $(TARGETS)

clearsilver.dll: CS.cs
	$(CSHARP_CC) -target:library --unsafe CS.cs -out:clearsilver.dll

cstest.exe: clearsilver.dll ../dso/libneo.so cstest.cs
	$(CSHARP_CC) -r:clearsilver.dll --unsafe cstest.cs 

csperftest.exe: clearsilver.dll ../dso/libneo.so csperftest.cs
	$(CSHARP_CC) -r:clearsilver.dll --unsafe csperftest.cs

perf: csperftest.exe
	export LD_LIBRARY_PATH=../dso; \
	$(MONO_JIT) csperftest.exe 
	

testcs: cstest.exe
	@echo "Running csharp test"
	@failed=0; \
	rm -f cstest.out; \
	export LD_LIBRARY_PATH=../dso; \
	$(MONO_JIT) cstest.exe > cstest.out; \
	diff cstest.out cstest.gold > /dev/null; \
	return_code=$$?; \
	if [ $$return_code -ne 0 ]; then \
	  diff cstest.out cstest.gold > cstest.err; \
	  echo "Failed csharp test: cstest.cs"; \
	  echo "    See cstest.out and cstest.err"; \
	  failed=1; \
	fi; \
	if [ $$failed -eq 1 ]; then \
	  exit 1; \
	fi;
	@echo "Passed csharp test"

gold: cstest.exe
	export LD_LIBRARY_PATH=../dso; \
	$(MONO_JIT) cstest.exe > cstest.gold;
	@echo "Generated gold files"


clean:
	rm -f core.*

distclean:
	rm -f $(TARGETS) core.* Makefile.depend

=== dso/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

NEO_SO = libneo.so
NEO_STATIC_LIBS =  

LIBS += -L$(LIB_DIR) $(DLIBS) $(DB2_LIB)


TARGETS = $(NEO_SO) dsotest

all: $(TARGETS)

$(NEO_SO): $(NEO_STATIC_LIBS) $(DEP_LIBS) Makefile 
	 /usr/bin/ld  -rpath ../libs -shared -o libneo.so -whole-archive ../libs/libneo_cgi.a ../libs/libneo_cs.a ../libs/libneo_utl.a -no-whole-archive $(LIBS)

#	$(LDSHARED) -o $@ $(LDFLAGS) -Wl,-whole-archive $(DLIBS)

install: all
	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(PYTHON_SITE)
	$(INSTALL) $(TARGETS) $(DESTDIR)$(PYTHON_SITE)

dsotest: dsotest.c $(NEO_SO)
	gcc -o dsotest dsotest.c -lneo -L. -I..

clean:
	$(RM) *.o 

distclean:
	$(RM) Makefile.depends $(TARGETS) *.o

=== java-jni/Makefile ===

.SUFFIXES: .java .class

ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

NEO_UTIL_SO = libclearsilver-jni.so
NEO_UTIL_JAVA_SRC = HDF.java CS.java # CGI.java
NEO_UTIL_JAVA_CLASS = $(NEO_UTIL_JAVA_SRC:%.java=%)
NEO_UTIL_JAVA_CLASSFILES = $(NEO_UTIL_JAVA_SRC:%.java=%.class)
NEO_UTIL_JAVA_JAR = clearsilver.jar
NEO_UTIL_SRC = j_neo_util.c j_neo_cs.c
NEO_UTIL_OBJ = $(NEO_UTIL_SRC:%.c=%.o)


CFLAGS += -I$(NEOTONIC_ROOT) -I$(JAVA_PATH)/include -I$(JAVA_PATH)/include/linux
DLIBS += -lneo_cgi -lneo_cs -lneo_utl 
LIBS += -L$(LIB_DIR) $(DLIBS)

TARGETS = org_clearsilver_HDF.h org_clearsilver_CS.h $(NEO_UTIL_SO)

all: $(TARGETS) test

$(NEO_UTIL_JAVA_JAR): $(NEO_UTIL_JAVA_SRC)
	$(JAVAC) $(NEO_UTIL_JAVA_SRC)
	$(MKDIR) org/clearsilver
	cp $(NEO_UTIL_JAVA_CLASSFILES) org/clearsilver
	$(JAR) cf $(NEO_UTIL_JAVA_JAR) org
	$(RM) -r org

org_clearsilver_HDF.h: $(NEO_UTIL_JAVA_JAR)
	$(JAVAH) -classpath $(NEO_UTIL_JAVA_JAR) -jni org.clearsilver.HDF

org_clearsilver_CS.h: $(NEO_UTIL_JAVA_JAR)
	$(JAVAH) -classpath $(NEO_UTIL_JAVA_JAR) -jni org.clearsilver.CS

CSTest.class: CSTest.java
	$(JAVAC) -classpath $(NEO_UTIL_JAVA_JAR) CSTest.java

gold: CSTest.class
	@/bin/sh -c "LD_LIBRARY_PATH=$(NEOTONIC_ROOT)/java-jni; export LD_LIBRARY_PATH; CLASSPATH=$(NEO_UTIL_JAVA_JAR):.; export CLASSPATH; $(JAVA_PATH)/bin/java CSTest" > javatest.gold
	@echo "Generated gold files"

test: CSTest.class
	@echo "Running java test"
	@failed=0; \
	rm -f javatest.out; \
	LD_LIBRARY_PATH=$(NEOTONIC_ROOT)/java-jni; export LD_LIBRARY_PATH; \
	CLASSPATH=$(NEO_UTIL_JAVA_JAR):.; export CLASSPATH; \
	$(JAVA_PATH)/bin/java CSTest > javatest.out; \
	diff --brief javatest.out javatest.gold  > /dev/null 2>&1; \
	return_code=$$?; \
	if [ $$return_code -ne 0 ]; then \
	  diff javatest.out javatest.gold > javatest.err; \
	  echo "Failed Java Test: CSTest"; \
	  echo "    See javatest.out and javatest.err"; \
	  failed=1; \
	fi; \
	if [ $$failed -eq 1 ]; then \
	  exit 1; \
	fi;
	@echo  "Passed java test"

CGI.h: CGI.class
	$(JAVAH) -jni CGI

$(NEO_UTIL_SO): $(NEO_UTIL_JAVA_JAR) $(NEO_UTIL_OBJ) $(DEP_LIBS)
	$(LDSHARED) -o $@ $(LDFLAGS) $(NEO_UTIL_OBJ) $(LIBS)

# I guess we'll just stick the .jar file in the lib directory
install: all
	$(INSTALL) $(NEO_UTIL_SO) $(DESTDIR)$(libdir)
	$(INSTALL) $(NEO_UTIL_JAVA_JAR) $(DESTDIR)$(libdir)

clean:
	$(RM) *.o *.so
	$(RM) -r org
	$(RM) org_clearsilver_*.h
	$(RM) *.class
	$(RM) org_clearsilver_HDF.h org_clearsilver_CS.h
	$(RM) Makefile.depends

distclean: clean
	$(RM) -f Makefile.depends $(TARGETS)

=== mod_ecs/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

MOD_ECS_SRC = mod_ecs.c
MOD_ECS_SO = mod_ecs.so

DLIBS += -lneo_cgi -lneo_cs -lneo_utl 
LIBS += -L$(LIB_DIR) $(DLIBS) $(DB2_LIB)

TARGETS = $(MOD_ECS_SO)

all: $(TARGETS)

$(MOD_ECS_SO): $(MOD_ECS_SRC) $(DEP_LIBS)
	$(APXS) -c -o $@ $(MOD_ECS_SRC)

install: all
	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(libexecdir)
	$(INSTALL) $(MOD_ECS_SO) $(DESTDIR)$(libexecdir)

# Hmm, install it in the default apache place, or in with the 
# rest of our stuff?
#	$(APXS) -i $(MOD_ECS_SO)

clean:
	$(RM) *.o

distclean:
	$(RM) Makefile.depends $(TARGETS) *.o

=== python/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

NEO_UTIL_SO = neo_cgi.so
NEO_UTIL_PYD = neo_cgi.pyd
NEO_UTIL_SRC = neo_cgi.c neo_util.c neo_cs.c
NEO_UTIL_OBJ = $(NEO_UTIL_SRC:%.c=%.o)

CFLAGS += -I$(NEOTONIC_ROOT) $(PYTHON_INC)
DLIBS += -lneo_cgi -lneo_cs -lneo_utl 
LIBS += -L$(LIB_DIR) $(DLIBS) $(DB2_LIB)

ifeq ($(USE_MINGW32),1)
TARGETS = $(NEO_UTIL_PYD)
else
TARGETS = $(NEO_UTIL_SO)
endif

all: $(TARGETS)

$(NEO_UTIL_SO): setup.py $(NEO_UTIL_SRC) $(DEP_LIBS)
	rm -f $(NEO_UTIL_SO)
	$(PYTHON) setup.py build_ext --inplace

OLD_NEO_UTIL_SO:
	$(LDSHARED) -o $@ $(LDFLAGS) $(NEO_UTIL_OBJ) $(LIBS)

setup:
	$(PYTHON) setup.py build_ext --inplace

$(NEO_UTIL_PYD): $(NEO_UTIL_OBJ) $(DEP_LIBS)
	dllwrap --dllname neo_cgi.pyd --driver-name gcc \
		--def neo_cgi.def -o neo_cgi.pyd \
		$(NEO_UTIL_OBJ) -s --entry _DllMain@12 \
		--target=i386-mingw32 \
		$(PYTHON_LIB) $(LIBS)

install: all
	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(PYTHON_SITE)
	$(INSTALL) $(TARGETS) $(DESTDIR)$(PYTHON_SITE)

clean:
	$(RM) *.o

distclean:
	$(RM) Makefile.depends $(TARGETS) *.o
	$(RM) -r build

=== ruby/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

all: config.save ext/hdf/hdf.so testrb

config.save: install.rb
	$(RUBY) install.rb config -- --with-hdf-include=../../.. --with-hdf-lib=../../../libs --make-prog=$(MAKE)

ext/hdf/Makefile:
	$(RUBY) install.rb config -- --with-hdf-include=../../.. --with-hdf-lib=../../../libs --make-prog=$(MAKE)

ext/hdf/hdf.so: config.save
	$(RUBY) install.rb setup 

gold: ext/hdf/hdf.so
	$(RUBY) -Ilib -Iext/hdf test/hdftest.rb > hdftest.gold;
	@echo "Generated gold files"

testrb: ext/hdf/hdf.so
	@echo "Running ruby test"
	@failed=0; \
	rm -f hdftest.out; \
	$(RUBY) -Ilib -Iext/hdf test/hdftest.rb > hdftest.out; \
	diff --brief hdftest.out hdftest.gold > /dev/null 2>&1; \
	return_code=$$?; \
	if [ $$return_code -ne 0 ]; then \
	  diff hdftest.out hdftest.gold > hdftest.err; \
	  echo "Failed Ruby Test: hdftest.rb"; \
	  echo "    See hdftest.out and hdftest.err"; \
	  failed=1; \
	fi; \
	if [ $$failed -eq 1 ]; then \
	  exit 1; \
	fi;
	@echo  "Passed ruby test"


install: all
	$(RUBY) install.rb install

clean:
	$(RM) ext/hdf/*.o ext/hdf/*.so

distclean:
	$(RM) Makefile.depends config.save ext/hdf/hdf.so
	$(RM) ext/hdf/Makefile ext/hdf/mkmf.log ext/hdf/*.o

=== util/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ../
endif

include $(NEOTONIC_ROOT)rules.mk

UTL_LIB = $(LIB_DIR)libneo_utl.a
UTL_SRC = neo_err.c neo_files.c neo_misc.c neo_rand.c ulist.c neo_hdf.c \
	  neo_str.c neo_date.c wildmat.c neo_hash.c $(EXTRA_UTL_SRC)

UTL_OBJ = $(UTL_SRC:%.c=%.o) $(EXTRA_UTL_OBJS)
UTL_HDR = $(UTL_SRC:%.c=%.h)

TARGETS = $(UTL_LIB)

all: $(TARGETS)

$(UTL_LIB): $(UTL_OBJ)
	$(AR) $@ $(UTL_OBJ)
	$(RANLIB) $@

install: all
	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(cs_includedir)/util
	$(INSTALL) -m 644 $(UTL_HDR) $(DESTDIR)$(cs_includedir)/util
	$(INSTALL) -m 644 $(UTL_LIB) $(DESTDIR)$(libdir)

clean:
	$(RM) *.o

distclean:
	$(RM) Makefile.depends $(TARGETS) *.o

=== util/test/Makefile ===
--- 
+++ 
@@ -26,6 +26,10 @@
 HDFCOPYTEST_SRC = hdf_copy_test.c
 HDFCOPYTEST_OBJ = $(HDFCOPYTEST_SRC:%.c=%.o)
 
+HDFDEALLOCTEST_EXE = hdf_dealloc_test
+HDFDEALLOCTEST_SRC = hdf_dealloc_test.c
+HDFDEALLOCTEST_OBJ = $(HDFDEALLOCTEST_SRC:%.c=%.o)
+
 NETTEST_EXE = net_test
 NETTEST_SRC = net_test.c
 NETTEST_OBJ = $(NETTEST_SRC:%.c=%.o)
@@ -38,21 +42,31 @@
 HASHTEST_SRC = hash_test.c
 HASHTEST_OBJ = $(HASHTEST_SRC:%.c=%.o)
 
+ULISTTEST_EXE = ulist_test
+ULISTTEST_SRC = ulist_test.c
+ULISTTEST_OBJ = $(ULISTTEST_SRC:%.c=%.o)
+
 CFLAGS += -I$(NEOTONIC_ROOT)/util
 LIBS += -L$(LIB_DIR) -lneo_utl 
 
 TARGETS = $(HDFTEST_EXE) $(LISTDIRTEST_EXE) $(HDFCOPYTEST_EXE) \
-	$(HDFSORTTEST_EXE) \
+	$(HDFSORTTEST_EXE) $(HDFDEALLOCTEST_EXE) \
 	$(HDFLOADTEST_EXE) $(NETTEST_EXE) $(DATETEST_EXE) \
-	$(HASHTEST_EXE)
+	$(HASHTEST_EXE) $(ULISTTEST_EXE)
 
 all: $(TARGETS)
+
+$(ULISTTEST_EXE): $(ULISTTEST_OBJ) $(NTR_LIB)
+	$(LD) $@ $(ULISTTEST_OBJ) $(LIBS)
 
 $(HDFTEST_EXE): $(HDFTEST_OBJ) $(NTR_LIB)
 	$(LD) $@ $(HDFTEST_OBJ) $(LIBS)
 
 $(HDFSORTTEST_EXE): $(HDFSORTTEST_OBJ) $(NTR_LIB)
 	$(LD) $@ $(HDFSORTTEST_OBJ) $(LIBS)
+
+$(HDFDEALLOCTEST_EXE): $(HDFDEALLOCTEST_OBJ) $(NTR_LIB)
+	$(LD) $@ $(HDFDEALLOCTEST_OBJ) $(LIBS)
 
 $(HDFLOADTEST_EXE): $(HDFLOADTEST_OBJ) $(NTR_LIB)
 	$(LD) $@ $(HDFLOADTEST_OBJ) $(LIBS) # -lefence

## clearsilver 0.10.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 #
 
-NEOTONIC_ROOT = ./
+NEOTONIC_ROOT = .
 
 include rules.mk
 
@@ -35,7 +35,7 @@
 	  fi; \
 	done
 
-install: all man
+install: all
 	./mkinstalldirs $(DESTDIR)$(cs_includedir)
 	./mkinstalldirs $(DESTDIR)$(bindir)
 	./mkinstalldirs $(DESTDIR)$(libdir)
@@ -86,7 +86,8 @@
 	done
 
 changelog:
-	rcs2log -v | cat - ChangeLog | sed -e "s/\/b2\/src\/cvsroot\/neotonic\///g" > ChangeLog.$$$$ && mv ChangeLog.$$$$ ChangeLog
+	p4 changes -l ./...
+	
 
 clean:
 	@for mdir in $(SUBDIRS); do \
@@ -107,23 +108,23 @@
 		mkdir -p $$mdir; \
 	done
 
-CS_DISTDIR = clearsilver-0.9.12
-CS_LABEL = CLEARSILVER-0_9_12
-CS_FILES = README README.python INSTALL LICENSE CS_LICENSE rules.mk.in Makefile util cs cgi python scripts mod_ecs imd java-jni perl ruby dso csharp acconfig.h autogen.sh config.guess config.sub configure.in cs_config.h.in mkinstalldirs install-sh ClearSilver.h ports contrib
+CS_DISTDIR = clearsilver-0.10.3
+CS_LABEL = CLEARSILVER-0_10_3
+CS_FILES = README README.python INSTALL LICENSE CS_LICENSE rules.mk.in Makefile acconfig.h autogen.sh config.guess config.sub configure.in cs_config.h.in mkinstalldirs install-sh ClearSilver.h
+CS_DIRS = util cs cgi python scripts mod_ecs imd java-jni perl ruby dso csharp ports contrib m4
+
 cs_dist:
-	@if cvs log Makefile | grep "${CS_LABEL}"; then \
+	@if p4 labels Makefile | grep "${CS_LABEL}"; then \
 	  echo "release ${CS_LABEL} already exists"; \
-	  echo "   to rebuild, type:  cvs tag -d -F ${CS_LABEL} Makefile "; \
+	  echo "   to rebuild, type:  p4 label -d ${CS_LABEL}"; \
 	  exit 1; \
 	fi; 
 	rm -rf $(CS_DISTDIR)
-	cvs -q tag -F $(CS_LABEL) $(CS_FILES)
+	p4 label $(CS_LABEL)
+	p4 labelsync -l$(CS_LABEL) $(CS_FILES) $(addsuffix /..., $(CS_DIRS))
 	mkdir -p $(CS_DISTDIR)
-	cvs -z3 -q export -r $(CS_LABEL) -d $(CS_DISTDIR) neotonic
-	-rm -rf $(CS_DISTDIR)/CVS
+	tar -cf - `p4 files $(CS_FILES) $(addsuffix /..., $(CS_DIRS)) | cut -d'#' -f 1 | sed -e "s|//depot/google3/third_party/clearsilver/core/||"` | (cd $(CS_DISTDIR); tar -xf -)
 	$(MAKE) -C $(CS_DISTDIR) man distclean
+	chmod -R u+w $(CS_DISTDIR)
+	chmod -R a+r $(CS_DISTDIR)
 	tar chozf $(CS_DISTDIR).tar.gz $(CS_DISTDIR)
-
-trakken: cs
-	$(MAKE) -C retrieve
-	$(MAKE) VERSION=$(VERSION) RELEASE=$(RELEASE) -C trakken

=== cgi/Makefile ===


ifeq ($(NEOTONIC_ROOT),)
NEOTONIC_ROOT = ..
endif

include $(NEOTONIC_ROOT)/rules.mk

CGI_LIB = $(LIB_DIR)libneo_cgi.a
CGI_SRC = cgiwrap.c cgi.c html.c date.c rfc2388.c
CGI_OBJ = $(CGI_SRC:%.c=%.o)

STATIC_EXE = static.cgi
STATIC_SRC = static.c
STATIC_OBJ = $(STATIC_SRC:%.c=%.o)
STATIC_CSO = $(STATIC_EXE:%.cgi=%.cso)

CGICSTEST_EXE = cgi_cstest
CGICSTEST_SRC = cgi_cstest.c
CGICSTEST_OBJ = $(CGICSTEST_SRC:%.c=%.o)

DLIBS += -lneo_cgi -lneo_cs -lneo_utl # -lefence

TARGETS = $(CGI_LIB) $(STATIC_EXE) $(STATIC_CSO) $(CGICSTEST_EXE)

all: $(TARGETS)

$(CGI_LIB): $(CGI_OBJ)
	$(AR) $@ $(CGI_OBJ)
	$(RANLIB) $@

$(STATIC_EXE): $(STATIC_OBJ) $(DEP_LIBS)
	$(LD) $@ $(STATIC_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS)

$(STATIC_CSO): $(STATIC_OBJ) $(DEP_LIBS)
	$(LDSHARED) -o $@ $(STATIC_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS)

$(CGICSTEST_EXE): $(CGICSTEST_OBJ) $(DEP_LIBS)
	$(LD) $@ $(CGICSTEST_OBJ) -L$(LIB_DIR) $(DLIBS) $(LIBS)

install: all
	$(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 cgi.h $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 cgiwrap.h $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 date.h $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 html.h $(DESTDIR)$(cs_includedir)/cgi
	$(INSTALL) -m 644 $(CGI_LIB) $(DESTDIR)$(libdir)
	$(INSTALL) $(STATIC_EXE) $(DESTDIR)$(bindir)

clean:
	$(RM) *.o

distclean:
	$(RM) Makefile.depends $(TARGETS) *.o

=== cs/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 CS_LIB = $(LIB_DIR)libneo_cs.a
 CS_SRC = csparse.c
@@ -22,17 +22,18 @@
 CSDUMP_SRC = csdump.c
 CSDUMP_OBJ = $(CSDUMP_SRC:%.c=%.o)
 
-CFLAGS += -I$(NEOTONIC_ROOT)
-LIBS += -L$(LIB_DIR) -lneo_cs -lneo_utl # -lefence
+LIBS += -L$(LIB_DIR) -lneo_cs -lneo_utl #  -lefence
 
 TARGETS = $(CS_LIB) $(CSTEST_EXE) $(CSR_EXE) test
 
 CS_TESTS = test.cs test2.cs test3.cs test4.cs test5.cs test6.cs test7.cs \
            test8.cs test9.cs test10.cs test11.cs test12.cs test13.cs \
-	   test14.cs test15.cs test16.cs test17.cs test18.cs test_var.cs \
-	   test_paren.cs test_chuck.cs test_trak1.cs test_iter.cs \
+	   test14.cs test15.cs test16.cs test17.cs test18.cs test19.cs \
+	   test_var.cs test_paren.cs test_chuck.cs test_trak1.cs test_iter.cs \
 	   test_each_array.cs test_name.cs test_with.cs test_numbers.cs \
-	   test_splice.cs
+	   test_splice.cs test_joo.cs test_first_last.cs test_abs_max_min.cs \
+	   test_comma.cs test_macro_set.cs test_func.cs
+
 
 all: $(TARGETS)
 
@@ -64,7 +65,7 @@
 	for test in $(CS_TESTS); do \
 		rm -f $$test.out; \
 		./cstest test.hdf $$test > $$test.out 2>&1; \
-		diff --brief $$test.out $$test.gold 2>&1 > /dev/null; \
+		diff $$test.out $$test.gold 2>&1 > /dev/null; \
 		return_code=$$?; \
 		if [ $$return_code -ne 0 ]; then \
 		  diff $$test.gold $$test.out > $$test.err; \
@@ -75,7 +76,7 @@
 	done; \
 	rm -f test_tag.cs.out; \
 	./cstest test_tag.hdf test_tag.cs> test_tag.cs.out 2>&1; \
-	diff --brief test_tag.cs.out test_tag.cs.gold; \
+	diff test_tag.cs.out test_tag.cs.gold; \
 	return_code=$$?; \
 	if [ $$return_code -ne 0 ]; then \
 	  echo "Failed Regression Test: test_tag.cs"; \
@@ -88,7 +89,7 @@
 	@echo "Passed"
 	
 install: all
-	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(cs_includedir)/cs
+	$(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(cs_includedir)/cs
 	$(INSTALL) -m 644 cs.h $(DESTDIR)$(cs_includedir)/cs
 	$(INSTALL) -m 644 $(CS_LIB) $(DESTDIR)$(libdir)
 	$(INSTALL) $(CSTEST_EXE) $(DESTDIR)$(bindir)

=== dso/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 NEO_SO = libneo.so
 NEO_STATIC_LIBS =  
@@ -22,7 +22,7 @@
 #	$(LDSHARED) -o $@ $(LDFLAGS) -Wl,-whole-archive $(DLIBS)
 
 install: all
-	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(PYTHON_SITE)
+	$(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(PYTHON_SITE)
 	$(INSTALL) $(TARGETS) $(DESTDIR)$(PYTHON_SITE)
 
 dsotest: dsotest.c $(NEO_SO)

=== mod_ecs/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 MOD_ECS_SRC = mod_ecs.c
 MOD_ECS_SO = mod_ecs.so
@@ -20,7 +20,7 @@
 	$(APXS) -c -o $@ $(MOD_ECS_SRC)
 
 install: all
-	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(libexecdir)
+	$(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(libexecdir)
 	$(INSTALL) $(MOD_ECS_SO) $(DESTDIR)$(libexecdir)
 
 # Hmm, install it in the default apache place, or in with the

=== python/Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 NEO_UTIL_SO = neo_cgi.so
 NEO_UTIL_PYD = neo_cgi.pyd
 NEO_UTIL_SRC = neo_cgi.c neo_util.c neo_cs.c
 NEO_UTIL_OBJ = $(NEO_UTIL_SRC:%.c=%.o)
 
-CFLAGS += -I$(NEOTONIC_ROOT) $(PYTHON_INC)
+CFLAGS += $(PYTHON_INC)
 DLIBS += -lneo_cgi -lneo_cs -lneo_utl 
 LIBS += -L$(LIB_DIR) $(DLIBS) $(DB2_LIB)
 
@@ -25,7 +25,7 @@
 
 $(NEO_UTIL_SO): setup.py $(NEO_UTIL_SRC) $(DEP_LIBS)
 	rm -f $(NEO_UTIL_SO)
-	$(PYTHON) setup.py build_ext --inplace
+	CC="$(CC)" LDSHARED="$(LDSHARED)" $(PYTHON) setup.py build_ext --inplace
 
 OLD_NEO_UTIL_SO:
 	$(LDSHARED) -o $@ $(LDFLAGS) $(NEO_UTIL_OBJ) $(LIBS)
@@ -41,7 +41,7 @@
 		$(PYTHON_LIB) $(LIBS)
 
 install: all
-	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(PYTHON_SITE)
+	$(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(PYTHON_SITE)
 	$(INSTALL) $(TARGETS) $(DESTDIR)$(PYTHON_SITE)
 
 clean:

## clearsilver 0.10.4

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	@for mdir in $(SUBDIRS); do \
 	  if test -d $$mdir; then \
 	    if test -f $$mdir/Makefile.PL -a ! -f $$mdir/Makefile; then \
-	      cd $$mdir; $(PERL) Makefile.PL; cd ..; \
+	      cd $$mdir; $(PERL) Makefile.PL PREFIX=$(prefix); cd ..; \
 	    fi; \
 	    $(MAKE) -C $$mdir PREFIX=$(prefix); \
 	  fi; \
@@ -46,7 +46,7 @@
 	@for mdir in $(SUBDIRS); do \
 	  if test -d $$mdir; then \
 	    if test -f $$mdir/Makefile.PL -a ! -f $$mdir/Makefile; then \
-	      cd $$mdir; $(PERL) Makefile.PL; cd ..; \
+	      cd $$mdir; $(PERL) Makefile.PL PREFIX=$(prefix); cd ..; \
 	    fi; \
 	    $(MAKE) -C $$mdir PREFIX=$(prefix) install; \
 	  fi; \
@@ -90,15 +90,15 @@
 	
 
 clean:
-	@for mdir in $(SUBDIRS); do \
+	-@for mdir in $(SUBDIRS); do \
 	  $(MAKE) -C $$mdir clean; \
 	done
 
 distclean:
-	@for mdir in $(SUBDIRS); do \
+	-@for mdir in $(SUBDIRS); do \
 	  $(MAKE) -C $$mdir distclean; \
 	done
-	@for mdir in $(OUTDIRS); do \
+	-@for mdir in $(OUTDIRS); do \
 		rm -rf $$mdir/*; \
 	done
 	rm -f config.cache config.log config.status rules.mk cs_config.h
@@ -108,8 +108,8 @@
 		mkdir -p $$mdir; \
 	done
 
-CS_DISTDIR = clearsilver-0.10.3
-CS_LABEL = CLEARSILVER-0_10_3
+CS_DISTDIR = clearsilver-0.10.4
+CS_LABEL = CLEARSILVER-0_10_4
 CS_FILES = README README.python INSTALL LICENSE CS_LICENSE rules.mk.in Makefile acconfig.h autogen.sh config.guess config.sub configure.in cs_config.h.in mkinstalldirs install-sh ClearSilver.h
 CS_DIRS = util cs cgi python scripts mod_ecs imd java-jni perl ruby dso csharp ports contrib m4

=== csharp/Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 # common build environment
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 # our targets

## clearsilver 0.10.5

=== csharp/Makefile ===
--- 
+++ 
@@ -19,13 +19,13 @@
 all: $(TARGETS)
 
 clearsilver.dll: CS.cs
-	$(CSHARP_CC) -target:library --unsafe CS.cs -out:clearsilver.dll
+	$(CSHARP_CC) -target:library -unsafe CS.cs -out:clearsilver.dll
 
 cstest.exe: clearsilver.dll ../dso/libneo.so cstest.cs
-	$(CSHARP_CC) -r:clearsilver.dll --unsafe cstest.cs 
+	$(CSHARP_CC) -r:clearsilver.dll -unsafe cstest.cs 
 
 csperftest.exe: clearsilver.dll ../dso/libneo.so csperftest.cs
-	$(CSHARP_CC) -r:clearsilver.dll --unsafe csperftest.cs
+	$(CSHARP_CC) -r:clearsilver.dll -unsafe csperftest.cs
 
 perf: csperftest.exe
 	export LD_LIBRARY_PATH=../dso; \

=== mod_ecs/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MOD_ECS_SO = mod_ecs.so
 
 DLIBS += -lneo_cgi -lneo_cs -lneo_utl 
-LIBS += -L$(LIB_DIR) $(DLIBS) $(DB2_LIB)
+LIBS += $(DLIBS) $(DB2_LIB)
 
 TARGETS = $(MOD_ECS_SO)

=== ruby/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 all: config.save ext/hdf/hdf.so testrb

=== util/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 UTL_LIB = $(LIB_DIR)libneo_utl.a
 UTL_SRC = neo_err.c neo_files.c neo_misc.c neo_rand.c ulist.c neo_hdf.c \
@@ -22,7 +22,7 @@
 	$(RANLIB) $@
 
 install: all
-	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(cs_includedir)/util
+	$(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(cs_includedir)/util
 	$(INSTALL) -m 644 $(UTL_HDR) $(DESTDIR)$(cs_includedir)/util
 	$(INSTALL) -m 644 $(UTL_LIB) $(DESTDIR)$(libdir)

=== debian/changelog ===
clearsilver (0.10.5-4build3) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:28:02 +0100

clearsilver (0.10.5-4build2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 12:16:12 +0100

clearsilver (0.10.5-4build1) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:20:58 +0000

clearsilver (0.10.5-4) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:07:40 +0500

clearsilver (0.10.5-3) unstable; urgency=medium

  * QA upload.
  * Run "make distclean" only if rules.mk exists; fixes FTBFS on arm64 mips*
    ppc64el.  Closes: #873589

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 31 Aug 2017 01:54:40 +0200

clearsilver (0.10.5-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.  See #849019; Closes: #834987
  * Run wrap-and-sort to sort all debian/* files.
  * Drop explic usage of quilt, unneeded for a 3.0 (quilt) source package.
  * Rewrite Debian build system to use the dh sequencer instead of cdbs.
  * Bump debhelper compat level to 10.
  * debian/README.source:
    + remove, nowadays everybody recognizes a quilt-managed package.
  * d/clean:
    + Add file to do a more thorough clean and make possible to build the
      package twice in a row.  Closes: #621779
  * debian/control:
    + Bump Standards-Version to 4.1.0, no changes needed.
    + Move clearsilver-dev from section python to section libdevel
      Closes: #832194
    + Drop obsolete package relationship long satisfied everywhere.
    + Drop long obsoleted XS-Python-Version:all
    + Add ${shlibs:Depends} to clearsilver-dev, this end up adding a dependency
      on zlib1g and libc6, as it should have been since the start.
    + De-duplicate the long descriptions.
    + De-duplicate Priority definition.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 26 Aug 2017 22:20:14 +0200

clearsilver (0.10.5-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Port to dh_python2 from python-support.  Closes: #786096
    + debian/control: switch build-dependency
    + debian/control: remove XB-Python-Version field
    + debian/pycompat: remove
    + debian/rules: remove DEB_PYTHON_SYSTEM

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 12 Dec 2015 17:45:06 +0000

clearsilver (0.10.5-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with clang instead of gcc" and "ftbfs with gcc5":
    apply patch from Alexander <sanek23994@gmail.com>
    (Closes: #755963)

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2015 18:11:32 +0200

clearsilver (0.10.5-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    - Make libclearsilver-perl.install executable and use $Config{vendorarch}.
    - Use $Config{vendorarch} also in debian/rules.
    - Bump debhelper compat level and dependency to 9.
    (Closes: #752469)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 17:51:13 +0200

clearsilver (0.10.5-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Fix format string vulnerability CVE-2011-4357 (Closes: #649322).

 -- Luk Claes <luk@debian.org>  Thu, 29 Dec 2011 21:57:11 +0100

clearsilver (0.10.5-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop wrong debian-changes-0.10.5-1 patch (Closes: #643474).

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Nov 2011 16:24:49 +0100

clearsilver (0.10.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use python-support (closes: #620271).
    + Add build-dependency on python-support.
    + In debian/rules:
      - set DEB_PYTHON_SYSTEM to pysupport;
      - include class/python-module.mk.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 08 Apr 2011 21:49:37 +0200

clearsilver (0.10.5-1) unstable; urgency=low

  * New upstream release (Closes: #497008)
  * Fix manpage format errors
  * Remove obsolete patch for document.py (upstream fixed it)
  * fix FTBFS bug by removing DEB_MAKE_CHECK_TARGET (Closes: #577320)
  * remove obsolete "clean" target for "autotools"
    (update config.{guess|sub})
  * Patched failing CRC test for 64bit systems
    * see: http://tech.groups.yahoo.com/group/ClearSilver/message/1178
  * Update to Standards-Version 3.8.4:
    * add "Homepage" field to control file
    * remove versioned dependency on on perl >= 5.6
    * switche to new source package format "3.0 (quilt)"
  * Deny orphaning request (Closes: #543735)

 -- Lars Kruse <devel@sumpfralle.de>  Thu, 29 Apr 2010 03:52:15 +0200

clearsilver (0.10.4-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Python 2.6 transition (Closes: #557794):
    + debian/control:
      - Build-depend on python-all-dev (>= 2.5.4-1~).
    + debian/rules:
      - Include /usr/share/python/python.mk.
      - Use py_sitename to determine correcy installation directory.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 08 Dec 2009 19:13:14 +0100

clearsilver (0.10.4-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #477253).

 -- Marco Rodrigues <gothicx@sapo.pt>  Mon, 16 Jun 2008 12:19:37 +0100

clearsilver (0.10.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Build python bindings for each python version (instead
    of using the same binary for all python versions).
    Patch by Chris Lamb. (Closes: #452612)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 24 Apr 2008 11:11:37 +0200

clearsilver (0.10.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing substvars in debian/control (Closes: 463094).
  * Bump Standards-Version to 3.7.3.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 01 Apr 2008 20:55:25 +0000

clearsilver (0.10.4-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: clearsilver
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 10),
 zlib1g-dev,
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.1.0
Homepage: http://www.clearsilver.net/

Package: clearsilver-dev
Architecture: any
Section: libdevel
Depends:
 libc6-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libcgi-dev,
Description: headers and static library for clearsilver
 Clearsilver is a fast, powerful, and language-neutral HTML template system.
 In both static content sites and dynamic HTML applications, it
 provides a separation between presentation code and application logic which
 makes working with your project easier.
 .
 This package contains the C headers, the static library and the cstest binary
 for deverlopers.

Package: libclearsilver-perl
Architecture: any
Section: perl
Depends:
 perl,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: Perl bindings for clearsilver
 Clearsilver is a fast, powerful, and language-neutral HTML template system.
 In both static content sites and dynamic HTML applications, it
 provides a separation between presentation code and application logic which
 makes working with your project easier.
 .
 This package contains the perl package ClearSilver.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-python \
		--with-perl=/usr/bin/perl \
		--disable-ruby \
		--disable-csharp \
		--disable-apache \
		--enable-gettext

override_dh_auto_clean:
	if [ -f rules.mk ];then $(MAKE) distclean;fi
